﻿Type=StaticCode
Version=1
B4J=true
@EndOfDesignText@

Sub Process_Globals
	Private fx As JFX
	Dim RadialForm As Form
	
	Dim FXColor As JFXColor
	
	Dim Radial As JFXtrasRadial
	Dim RadialHN As JFXtrasRadialHalfN
	Dim RadialHS As JFXtrasRadialHalfS
	
	Dim RadialQE As JFXtrasRadialQuarterE
	Dim RadialQN As JFXtrasRadialQuarterN
	Dim RadialQS As JFXtrasRadialQuarterS
	Dim RadialQW As JFXtrasRadialQuarterW
	
	Dim btn2 As Button
End Sub

Sub Show
	RadialForm.Initialize("RadialForm", -1, -1)
	RadialForm.RootPane.LoadLayout("Layout1")
	RadialForm.BackColor = fx.Colors.LightGray
	RadialForm.Title = "Radial Gauges"
	
	btn2.Initialize("btn2")
	RadialForm.RootPane.AddNode(btn2, 533, 366, 56, 21)
	btn2.Text = "Button"
	
	Radial.Initialize("Radial")
	RadialForm.RootPane.AddNode(Radial, 88, 10, 140, 140)
	Radial.Bargraph = True
	'Radial.LcdVisible = False
	Radial.FrameDesign = "BRASS"
	Radial.ScaleMaximum = 50
	Radial.ScaleMinimum = -20
	Radial.Title = "Radial"
	Radial.Units = "Kg"
	Radial.GlowColor = FXColor.Color("cyan")
	Radial.GlowVisible = True
	
	
	RadialHN.Initialize("RadialHN")
	RadialForm.RootPane.AddNode(RadialHN, 233, 10, 140, 140)
	RadialHN.AddSection(0, 60, FXColor.Color("green"))
	RadialHN.AddSection(60, 85, FXColor.Color("orange"))
	RadialHN.AddSection(85, 100, FXColor.Color("red"))
	RadialHN.AddArea(85, 100, FXColor.Color("red"))
	RadialHN.KnobColor = "BRASS"
	RadialHN.KnobDesign = "METAL"
	RadialHN.UserLedVisible = True
	RadialHN.UserLedOn = True
	RadialHN.Threshold = 30
	RadialHN.ThresholdVisible = True
	RadialHN.ThresholdColor = "YELLOW"
	
	
	RadialHS.Initialize("RadialHS")
	RadialForm.RootPane.AddNode(RadialHS, 378, 80, 140, 140)
	
	
	
	
	RadialQE.Initialize("RadialQE")
	RadialForm.RootPane.AddNode(RadialQE, 10, 180, 140, 140)
	
	RadialQN.Initialize("RadialQN")
	RadialForm.RootPane.AddNode(RadialQN, 155, 180, 140, 140)
	
	RadialQS.Initialize("RadialQS")
	RadialForm.RootPane.AddNode(RadialQS, 300, 180, 140, 140)
	
	RadialQW.Initialize("RadialQW")
	RadialForm.RootPane.AddNode(RadialQW, 445, 180, 140, 140)
	
	
	RadialForm.Show
	
	' There seems to be a slight bug with Bargraph mode and ScaleMinimum less than 0
	' If Value is not set to the minumum value AFTER Show the bargraph draws from 0 no ScaleMinimum
	Radial.Value = -20

End Sub



Sub btn2_Action
	Radial.Value = Radial.Value + 5
	RadialHN.Value = RadialHN.Value +5
	RadialHS.Value = RadialHS.Value +5
	RadialQE.Value = RadialQE.Value +5
	RadialQN.Value = RadialQN.Value +5
	RadialQS.Value = RadialQS.Value +5
	RadialQW.Value = RadialQS.Value +5
End Sub